unit ObjectNot;

interface

uses
  CustomObject, Vec2f, System.SysUtils, IniFiles;

type
  TObjectNot = class(TCustomObject)
  published
    procedure Process(const Delta: Double); override;
  end;

implementation

uses
  Resources, Level.Map;

procedure TObjectNot.Process(const Delta: Double);
begin
  UpdateParentAction;
  if FAction <> ParentAction then
    SetActive(ParentAction);
end;

end.
